Skip to main content
`Ctrl`+`K`

# PEPLinearGetEPS

Retrieve the linear eigensolver object (`EPS`) associated to the polynomial eigenvalue solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearGetEPS(PEP pep,EPS *eps)

Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- eps - the linear eigensolver context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPLINEAR`, `PEPLinearSetEPS()`

## Level

advanced

## Location

src/pep/impls/linear/linear.c

## Implementations

PEPLinearGetEPS_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages